aboutsummaryrefslogtreecommitdiffstats
path: root/testing/s6-portable-utils/APKBUILD
diff options
context:
space:
mode:
authorJohn Regan <john@jrjrtech.com>2015-02-25 14:44:32 -0500
committerLeonardo Arena <rnalrd@alpinelinux.org>2015-02-26 08:02:53 +0000
commitbe674964355f8bd70e20f579978a668d2e856e89 (patch)
treee7b5de11a5884d61fe62a466c75cd9412bceb2c0 /testing/s6-portable-utils/APKBUILD
parent5d7abafcc9cb936f7c0bf5bb361f5df5227c8b63 (diff)
downloadaports-be674964355f8bd70e20f579978a668d2e856e89.tar.gz
aports-be674964355f8bd70e20f579978a668d2e856e89.tar.bz2
aports-be674964355f8bd70e20f579978a668d2e856e89.tar.xz
testing/s6-portable-utils: new aport
Signed-off-by: Leonardo Arena <rnalrd@alpinelinux.org>
Diffstat (limited to 'testing/s6-portable-utils/APKBUILD')
-rw-r--r--testing/s6-portable-utils/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/testing/s6-portable-utils/APKBUILD b/testing/s6-portable-utils/APKBUILD
new file mode 100644
index 0000000000..8a61ae2a0a
--- /dev/null
+++ b/testing/s6-portable-utils/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: John Regan <john@jrjrtech.com>
+# Maintainer: John Regan <john@jrjrtech.com>
+pkgname=s6-portable-utils
+pkgver=2.0.0.1
+pkgrel=0
+pkgdesc="skarnet.org's tiny portable generic utilities"
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --enable-shared \
+ --enable-static \
+ --disable-allstatic \
+ --prefix=/usr \
+ --libdir=/usr/lib \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="6627d44332744d892c46b300c24fcf08 s6-portable-utils-2.0.0.1.tar.gz"
+sha256sums="f2e404c6cd0d4658445e6344276b6796e6be11d5bf5a069110034b21f7802282 s6-portable-utils-2.0.0.1.tar.gz"
+sha512sums="8b6df0896d9ff018c8dbe69534b76c4b1dfc1a26252d252dd08a4df27c3b92781fd5e0499108da18023ce5023ff1c853da0c396e59f8ddf9adfc91ddd188c360 s6-portable-utils-2.0.0.1.tar.gz"